[android-components](../../index.md) / [mozilla.components.feature.session](../index.md) / [TrackingProtectionUseCases](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`TrackingProtectionUseCases(sessionManager: `[`SessionManager`](../../mozilla.components.browser.session/-session-manager/index.md)`, engine: `[`Engine`](../../mozilla.components.concept.engine/-engine/index.md)`)`

Contains use cases related to the tracking protection.

### Parameters

`sessionManager` - the application's [SessionManager](../../mozilla.components.browser.session/-session-manager/index.md).

`engine` - the application's [Engine](../../mozilla.components.concept.engine/-engine/index.md).